function circle_segment_spin2_init( ID, x, y, r, begin_deg, end_deg, speed, seg )
	
	-- Schrittgre berechnen, falls gewnscht
	if ( seg == 0 ) then
		step = r / math.pow( 2, r / 60 + 1 )
	else
		step = 360 / seg
	end
	
	_seg = -1
	
	-- Segmente hinzufgen
	for g = 0, 360, step do
		
		if( not( g > begin_deg and g < end_deg ) ) then
			
			-- Koordinaten berechnen
			xs = x + math.cos( math.rad( g ) ) * r
			ys = y + math.sin( math.rad( g ) ) * r
			
			-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
			AddSegment( ID, _seg+1, xs, ys, g+90 )
			
			_seg = _seg + 1
			
		end
		
	end
	
	UpdateObject( ID, x, y, r, begin_deg, end_deg, speed, _seg )
	
end

function circle_segment_spin2_update( ID, x, y, r, begin_deg, end_deg, speed, seg )
	
	-- Segmente durchgehen
	for i = 0, seg do
		
		sx = GetSegInfo( ID, i, 0 )
		sy = GetSegInfo( ID, i, 1 )
		sr = GetSegInfo( ID, i, 2 )
		
		g = sr-90+speed
		
		-- Koordinaten berechnen
		_sx = x + math.cos( math.rad( g ) ) * r
		_sy = y + math.sin( math.rad( g ) ) * r
		
		-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
		UpdateSegment( ID, i, _sx, _sy, g+90 )
		
	end
	
end