function defense_drone_init( ID, x, y, px, py, opx, opy, moving )
	
	-- Segmente hinzufgen
	for g = 0, 360, 72 do
		
		-- Koordinaten berechnen
		xs = x + math.cos( math.rad( g ) ) * 10
		ys = y + math.sin( math.rad( g ) ) * 10
		
		-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
		AddSegment( ID, g/72, xs, ys, g+90 )
		
	end
	
end

function defense_drone_update( ID, x, y, px, py, opx, opy, moving )
	
	-- Alte Spielerposition bestimmen
	_opx = px
	_opy = py
	
	-- neue Spielerposition holen
	_px = GetPlayerX()
	_py = GetPlayerY()
	
	-- Position der Drohne
	_x = x
	_y = y
	
	-- Ob es sich bereits bewegt
	_moving = moving
	
	-- Falls sich alte und neue Position unterscheiden, Toleranz 5px )
	if( ( moving == 1 ) or ( ( _opx > _px + 5 or _opx < _px - 5 or _opy > _py + 5 or _opy < _py - 5 ) ) ) then
		-- es bewegt sich
		_moving = 1
		
		-- In Richtung Spieler bewegen
		-- Winkel
		angle = math.deg( math.atan2( _py - y, _px - x ) )
		_x = x + math.cos( math.rad( angle ) ) * 5
		_y = y + math.sin( math.rad( angle ) ) * 5
		
		-- Segmente updaten
		for g = 0, 360, 72 do
			
			-- Koordinaten berechnen
			xs = _x + math.cos( math.rad( g ) ) * 10
			ys = _y + math.sin( math.rad( g ) ) * 10
			
			-- Segment mit ObjektID, SegmentID, Position und Rotation updaten
			UpdateSegment( ID, g/72, xs, ys, g+90 )
			
		end
	end
	
	-- Objektinfo updaten
	UpdateObject( ID, _x, _y, _px, _py, _opx, _opy, _moving )
	
end