function line_move_init( ID, x1, y1, x2, y2, xs, ys, xmin, ymin, xmax, ymax, seg )
	
	-- Anzahl der Segmente berechnen, falls gewnscht
	if( seg == 0 ) then
		distance = math.sqrt( ( x2 - x1 )*( x2 - x1 ) + ( y2 - y1 )*( y2- y1 ) )
		count_segments = distance / 31.0
	else
		count_segments = seg
	end
	
	-- Winkel zwischen Start und Ende berechnen
	local angle = math.deg( math.atan2( y2 - y1, x2 - x1 ) )
	
	-- Segmente hinzufgen
	for i = 0, count_segments do
		
		-- Koordinaten berechnen
		x = x1 + math.cos( math.rad( angle ) ) * i * 31.0
		y = y1 + math.sin( math.rad( angle ) ) * i * 31.0
		
		-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
		AddSegment( ID, i, x, y, angle )
		
	end
	
	UpdateObject( ID, x1, y1, x2, y2, xs, ys, xmin, ymin, xmax, ymax, count_segments )
	
end

function line_move_update( ID, x1, y1, x2, y2, xs, ys, xmin, ymin, xmax, ymax, seg )
	
	-- Koordinaten ndern
	nx1 = x1 + xs
	ny1 = y1 + ys
	nx2 = x2 + xs
	ny2 = y2 + ys
	nxs = xs
	nys = ys
	
	if( nx1 < xmin or nx1 > xmax or nx2 < xmin or nx2 > xmax ) then
		nxs = -xs
	end
	if( ny1 < ymin or ny1 > ymax or ny2 < ymin or ny2 > ymax ) then
		nys = -ys
	end
	-- Objektinfo updaten
	UpdateObject( ID, nx1, ny1, nx2, ny2, nxs, nys, xmin, ymin, xmax, ymax, seg )
	
	-- Alle Segmente bewegen
	for s = 0, seg do
		oldx = GetSegInfo( ID, s, 0 )
		oldy = GetSegInfo( ID, s, 1 )
		rot = GetSegInfo( ID, s, 2 )
		newx = oldx + nxs
		newy = oldy + nys
		UpdateSegment( ID, s, newx, newy, rot )
	end
	
end