function line_spin_init( ID, x1, y1, x2, y2, ss, seg, angle )
	
	-- Anzahl der Segmente berechnen, falls gewnscht
	if( seg == 0 ) then
		distance = math.sqrt( ( x2 - x1 )*( x2 - x1 ) + ( y2 - y1 )*( y2- y1 ) )
		count_segments = distance / 31.0
	else
		count_segments = seg
	end
	
	-- Winkel zwischen Start und Ende berechnen
	_angle = math.deg( math.atan2( y2 - y1, x2 - x1 ) )
	
	-- Segmente hinzufgen
	for i = 0, count_segments do
		
		-- Koordinaten berechnen
		x = x1 + math.cos( math.rad( _angle ) ) * i * 31.0
		y = y1 + math.sin( math.rad( _angle ) ) * i * 31.0
		
		-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
		AddSegment( ID, i, x, y, _angle )
		
	end
	
	UpdateObject( ID, x1, y1, x2, y2, ss, count_segments, _angle )
	
end

function line_spin_update( ID, x1, y1, x2, y2, ss, seg, angle )
	
	new_angle = angle + ss
	
	-- Segmente updaten
	for i = 0, seg do
		
		-- Koordinaten berechnen
		x = x1 + math.cos( math.rad( new_angle ) ) * i * 31.0
		y = y1 + math.sin( math.rad( new_angle ) ) * i * 31.0
		
		-- Segment mit ObjektID, SegmentID, Position und Rotation hinzufgen
		UpdateSegment( ID, i, x, y, new_angle )
		
	end
	
	-- Objektinfo updaten
	UpdateObject( ID, x1, y1, x2, y2, ss, seg, new_angle )
	
end